Firmwares

List firmwares

GET
/workspaces/{workspaceId}/firmwares

Authorization

API key Firmwares: read
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Firmwares: read

Path Parameters

workspaceId*string
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/firmwares"

All firmwares in the workspace.

[  {    "id": "q8Fd53pLn1Yr",    "name": "Thermostat application",    "slug": "thermostat-application",    "createdAt": "2025-10-14T12:00:00+00:00",    "versionsCount": 8,    "deviceCount": 1840  },  {    "id": "x4Th67kPw9Ln",    "name": "Radio module",    "slug": "radio-module",    "createdAt": "2025-10-20T09:00:00+00:00",    "versionsCount": 3,    "deviceCount": 1840  }]